package com.gic.cloud.data.hook.service.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 过滤项
 * @TableName dh_flat_query_filter_item
 */
public class DhFlatQueryFilterItem implements Serializable {
    /**
     * 
     */
    private Integer filterItemId;

    /**
     * 过滤id
     */
    private Integer filterId;

    /**
     * 显示名称 如果为空 显示名称就是item_value
     */
    private String showName;

    /**
     * 实际值 选中的实际值
     */
    private String itemValue;

    /**
     * 是否删除
     */
    private Integer delFlag;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    public Integer getFilterItemId() {
        return filterItemId;
    }

    /**
     * 
     */
    public void setFilterItemId(Integer filterItemId) {
        this.filterItemId = filterItemId;
    }

    /**
     * 过滤id
     */
    public Integer getFilterId() {
        return filterId;
    }

    /**
     * 过滤id
     */
    public void setFilterId(Integer filterId) {
        this.filterId = filterId;
    }

    /**
     * 显示名称 如果为空 显示名称就是item_value
     */
    public String getShowName() {
        return showName;
    }

    /**
     * 显示名称 如果为空 显示名称就是item_value
     */
    public void setShowName(String showName) {
        this.showName = showName;
    }

    /**
     * 实际值 选中的实际值
     */
    public String getItemValue() {
        return itemValue;
    }

    /**
     * 实际值 选中的实际值
     */
    public void setItemValue(String itemValue) {
        this.itemValue = itemValue;
    }

    /**
     * 是否删除
     */
    public Integer getDelFlag() {
        return delFlag;
    }

    /**
     * 是否删除
     */
    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    /**
     * 
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        DhFlatQueryFilterItem other = (DhFlatQueryFilterItem) that;
        return (this.getFilterItemId() == null ? other.getFilterItemId() == null : this.getFilterItemId().equals(other.getFilterItemId()))
            && (this.getFilterId() == null ? other.getFilterId() == null : this.getFilterId().equals(other.getFilterId()))
            && (this.getShowName() == null ? other.getShowName() == null : this.getShowName().equals(other.getShowName()))
            && (this.getItemValue() == null ? other.getItemValue() == null : this.getItemValue().equals(other.getItemValue()))
            && (this.getDelFlag() == null ? other.getDelFlag() == null : this.getDelFlag().equals(other.getDelFlag()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getFilterItemId() == null) ? 0 : getFilterItemId().hashCode());
        result = prime * result + ((getFilterId() == null) ? 0 : getFilterId().hashCode());
        result = prime * result + ((getShowName() == null) ? 0 : getShowName().hashCode());
        result = prime * result + ((getItemValue() == null) ? 0 : getItemValue().hashCode());
        result = prime * result + ((getDelFlag() == null) ? 0 : getDelFlag().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", filterItemId=").append(filterItemId);
        sb.append(", filterId=").append(filterId);
        sb.append(", showName=").append(showName);
        sb.append(", itemValue=").append(itemValue);
        sb.append(", delFlag=").append(delFlag);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}